# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetFunctionsReq

Packages that use TGetFunctionsReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetFunctionsReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetFunctionsReq
Modifier and Type
Class
Description
`class`
`TGetFunctionsReq`
`class`
`TGetFunctionsReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetFunctionsReq
Modifier and Type
Field
Description
`TGetFunctionsReq`
TCLIService.GetFunctions_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetFunctionsReq
Modifier and Type
Method
Description
`TGetFunctionsReq`
TGetFunctionsReq.`deepCopy()`
`TGetFunctionsReq`
TCLIService.GetFunctions_args.`getReq()`
`TGetFunctionsReq`
TGetFunctionsReq.`setCatalogName(String catalogName)`
`TGetFunctionsReq`
TGetFunctionsReq.`setFunctionName(String functionName)`
`TGetFunctionsReq`
TGetFunctionsReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetFunctionsReq`
TGetFunctionsReq.`setRunAsync(boolean runAsync)`
`TGetFunctionsReq`
TGetFunctionsReq.`setSchemaName(String schemaName)`
`TGetFunctionsReq`
TGetFunctionsReq.`setSessionHandle(TSessionHandle sessionHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetFunctionsReq
Modifier and Type
Method
Description
`int`
TGetFunctionsReq.`compareTo(TGetFunctionsReq other)`
`boolean`
TGetFunctionsReq.`equals(TGetFunctionsReq that)`
`void`
TCLIService.AsyncClient.`GetFunctions(TGetFunctionsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetFunctionsResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetFunctions(TGetFunctionsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetFunctionsResp> resultHandler)`
`TGetFunctionsResp`
TCLIService.Client.`GetFunctions(TGetFunctionsReq req)`
`TGetFunctionsResp`
TCLIService.Iface.`GetFunctions(TGetFunctionsReq req)`
`void`
TCLIService.Client.`send_GetFunctions(TGetFunctionsReq req)`
`TCLIService.GetFunctions_args`
TCLIService.GetFunctions_args.`setReq(TGetFunctionsReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetFunctionsReq
Modifier
Constructor
Description
``
`GetFunctions_args(TGetFunctionsReq req)`
``
`GetFunctions_call(TGetFunctionsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetFunctionsResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetFunctionsReq(TGetFunctionsReq other)`
Performs a deep copy on other.